Soxway Docs
Proxies

List proxies

Get all proxy configurations for the authenticated user.

GET
/v1/proxies

Authorization

bearerAuth
AuthorizationBearer <token>

Personal access token obtained via POST /v1/auth/token

In: header

Response Body

application/json

curl -X GET "https://api.soxway.io/v1/proxies"
{
  "data": [
    {
      "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
      "proxy_id": 116,
      "name": "US Residential #1",
      "type": "residential",
      "country": "US",
      "region": "California",
      "city": "Los Angeles",
      "behavior": "keep",
      "rotate_type": "each_request",
      "rotate_interval": 10,
      "traffic_limit_gb": 5,
      "traffic_gb": 1.25,
      "host": "v1.soxway.io",
      "port_http": 5000,
      "port_socks5": 1080,
      "proxy_http": "http://user:[email protected]:5000",
      "proxy_socks5": "socks5://user:[email protected]:1080",
      "traffic_stats": {},
      "product": {},
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z"
    }
  ],
  "total": 0
}